Oracle Linux 5 : firefox (ELSA-2010-0501)

critical Nessus Plugin ID 68055
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2010:0501:

現已提供適用於 Red Hat Enterprise Linux 5 的更新版 firefox 套件,以解決數個安全性問題、修正錯誤、新增數個增強功能,並將 Firefox 升級至 3.6.4 版。

Red Hat 安全性回應團隊已將此更新評為具有重大安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

[2010 年 6 月 25 日更新] 與此錯字勘誤表一起發佈的原始套件中有錯誤,可導致升級時產生非預期的相依性。我們已更新套件以更正此錯誤。

Mozilla Firefox 是開放原始碼的網頁瀏覽器。

處理格式有誤之網頁內容時發現多個瑕疵。包含惡意內容的網頁可造成 Firefox 損毀,或可能利用執行 Firefox 之使用者的權限來執行任意程式碼。(CVE-2010-1121、CVE-2010-1200、CVE-2010-1202、CVE-2010-1203)

在瀏覽器外掛程式互動的方式中發現一個瑕疵。外掛程式可能會參照從不同外掛程式釋放的記憶體,藉由 Firefox 使用者的權限來執行任意程式碼。(CVE-2010-1198)

在處理格式有誤的 web 內容時發現數個整數溢位瑕疵。包含惡意內容的網頁可造成 Firefox 損毀,或可能利用執行 Firefox 之使用者的權限來執行任意程式碼。(CVE-2010-1196、CVE-2010-1199)

在 Firefox 處理焦點變更的方式中發現一個焦點盜用瑕疵。惡意網站可利用此瑕疵來竊取使用者的敏感資料,例如使用者名稱和密碼。(CVE-2010-1125)

在 Firefox 處理「Content-Disposition: attachment」HTTP 標頭 (如果也出現「Content-Type: multipart」HTTP 標頭) 的方式中,發現一個瑕疵。攻擊者可使用允許任意上傳及仰賴「Content-Disposition: attachment」 HTTP 標頭防止內嵌顯示內容的網站,來提供惡意內容給使用者。(CVE-2010-1197)

在 Firefox Math.random() 函式中,發現一個瑕疵。此函式可用來識別瀏覽工作階段以及在各個不同網站追蹤使用者。(CVE-2008-5913)

在載入安全性檢查的 Firefox XML 文件中,發現一個瑕疵。
當載入 XML 文件時,並未呼叫某些安全性檢查。攻擊者可能稍後利用此瑕疵載入違反瀏覽器或其附加元件之安全性原則的特定資源。請注意,僅載入 XML 文件並不會讓惡意使用者有機會利用此問題發動攻擊。(CVE-2010-0182)

如需這些瑕疵的詳細技術資訊,請參閱 Firefox 3.6.4 的 Mozilla 安全性公告。您可在此錯字勘誤表的<參照>一節中找到 Mozilla 公告的連結。

此錯字勘誤表將 Firefox 從 3.0.19 版升級至 3.6.4 版。
基於 Firefox 3.6.4 版的需求,此錯字勘誤表也提供其他數個更新套件,包括 esc、totem 和 yelp。

此錯字勘誤表還包含多個錯誤修正和數個增強功能。因空間所限,無法在此公告中一一記錄這些變更。有關這些變更的詳細資料,請參閱此錯字勘誤表 <參照>一節中的 Firefox 版本資訊連結。

重要:Firefox 3.6.4 並未完全回溯相容於搭配 Firefox 3.0.19 使用的所有 Mozilla 附加元件和 Firefox 外掛程式。Firefox 3.6 會在首次啟動時檢查相容性,然後視個別組態與所安裝的附加元件和外掛程式而定,可能會停用上述附加元件和外掛程式,或者嘗試檢查更新並進行升級。附加元件和外掛程式可能必須以手動方式更新。

所有 Firefox 使用者都應升級至這些更新版套件,其中包含 Firefox 3.6.4 版。安裝更新之後,Firefox 必須重新啟動,變更才會生效。

解決方案

更新受影響的 firefox 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2010-June/001510.html

Plugin 詳細資訊

嚴重性: Critical

ID: 68055

檔案名稱: oraclelinux_ELSA-2010-0501.nasl

版本: 1.11

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: High

分數: 7.4

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 8.3

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:F/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:devhelp, p-cpe:/a:oracle:linux:devhelp-devel, p-cpe:/a:oracle:linux:esc, p-cpe:/a:oracle:linux:firefox, p-cpe:/a:oracle:linux:gnome-python2-extras, p-cpe:/a:oracle:linux:gnome-python2-gtkhtml2, p-cpe:/a:oracle:linux:gnome-python2-gtkmozembed, p-cpe:/a:oracle:linux:gnome-python2-gtkspell, p-cpe:/a:oracle:linux:gnome-python2-libegg, p-cpe:/a:oracle:linux:totem, p-cpe:/a:oracle:linux:totem-devel, p-cpe:/a:oracle:linux:totem-mozplugin, p-cpe:/a:oracle:linux:xulrunner, p-cpe:/a:oracle:linux:xulrunner-devel, p-cpe:/a:oracle:linux:yelp, cpe:/o:oracle:linux:5

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2010/6/23

弱點發布日期: 2009/1/20

惡意利用途徑

Core Impact

參考資訊

CVE: CVE-2008-5913, CVE-2009-5017, CVE-2010-0182, CVE-2010-0183, CVE-2010-1028, CVE-2010-1121, CVE-2010-1125, CVE-2010-1196, CVE-2010-1197, CVE-2010-1198, CVE-2010-1199, CVE-2010-1200, CVE-2010-1201, CVE-2010-1202, CVE-2010-1203, CVE-2010-3171

RHSA: 2010:0501